Summary:	A utility for getting files from remote servers (FTP, HTTP, and others).
Name:		curl 
Version:	7.14.0
Release:	1
License:	MIT
Group:		Applications/Internet
Source0:	http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Patch0:		curl-7.12.0-nousr.patch
Patch1:		curl-7.10.4-path.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	openssl-devel, libtool, pkgconfig
Requires:	openssl

%description
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

%files
  %defattr(0444,root,root,0555)
  %doc CHANGES README* COPYING
  %doc docs/BUGS docs/FAQ docs/FEATURES
  %doc docs/MANUAL docs/RESOURCES
  %doc docs/TheArtOfHttpScripting docs/TODO
  %doc %{_mandir}/man1/curl.1*

  %attr(0511,root,root)		%{_bindir}/curl
  %attr(0555,root,root)		%{_libdir}/libcurl.so.*
  %attr(0444,root,root)		%{_datadir}/curl/curl-ca-bundle.crt

%package devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, openssl-devel
Summary: Files needed for building applications with libcurl.

%description devel
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. The curl-devel
package includes files needed for developing applications which can
use cURL's capabilities internally.

%files devel
  %defattr(0444,root,root,0555)
  %doc docs/examples docs/INTERNALS
  %doc %{_mandir}/man1/curl-config.1*
  %doc %{_mandir}/man3/*

  %attr(0511,root,root)		%{_bindir}/curl-config
  %attr(0444,root,root)		%{_includedir}/curl/*.h
  %attr(0444,root,root)		%{_libdir}/*.a
  %attr(0444,root,root)		%{_libdir}/*.la
  %attr(0555,root,root)		%{_libdir}/*.so

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
  if pkg-config openssl ; then
	CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
	LDFLAGS=`pkg-config --libs openssl`; export LDFLAGS
  fi

  %configure --with-ssl=%{_prefix} --enable-ipv6
  make %{_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 19 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 7.14.0, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
